MSWTextInternal::Line Struct Reference

Internal and low level: a structure to store a line or a cell of a MSWText. More...

## Public Types

enum | Type { L_Line, L_Cell, L_LastLineCell, L_LastRowCell }
| an enum used to differentiate line and cell More...

## Public Member Functions

| Line ()
| constructor More...

## Public Attributes

Type | m_type
| the line type More...
Vec2l | m_cPos
| the caracter position More...
Vec2l | m_fPos
| the file position More...
int | m_textStructId
| the textstruct id ( or -1 ) More...

## Detailed Description

Internal and low level: a structure to store a line or a cell of a MSWText.

## Member Enumeration Documentation

enum MSWTextInternal::Line::Type

an enum used to differentiate line and cell

Enumerator
L_Line |
L_Cell |
L_LastLineCell |
L_LastRowCell |

## Constructor & Destructor Documentation

MSWTextInternal::Line::Line | ( |  | ) |

inline

constructor

## Member Data Documentation

Vec2l MSWTextInternal::Line::m_cPos

the caracter position

Referenced by MSWText::prepareLines(), MSWText::prepareParagraphProperties(), and MSWText::prepareTables().

Vec2l MSWTextInternal::Line::m_fPos

the file position

Referenced by MSWText::prepareLines().

int MSWTextInternal::Line::m_textStructId

the textstruct id ( or -1 )

Referenced by MSWText::prepareLines().

Type MSWTextInternal::Line::m_type

the line type

Referenced by MSWText::prepareLines(), MSWText::prepareParagraphProperties(), and MSWText::prepareTables().

The documentation for this struct was generated from the following file:

- MSWText.cxx